// Base Dependencies
import { NgModule } from '@angular/core';
import { IonicPageModule } from 'ionic-angular';
// Ionic Native plugins
import { StatusBar } from '@ionic-native/status-bar';
import { CameraPreview } from '@ionic-native/camera-preview';
import { File } from '@ionic-native/file';
import { DeviceMotion } from '@ionic-native/device-motion';
// Components
import { CameraComponent } from '../pages/camera/camera';
import { EditComponent } from '../pages/edit/edit';
// Providers
import { IonicMultiCamera } from '../providers/ionic-multi-camera';
var IonicMultiCameraModule = /** @class */ (function () {
    function IonicMultiCameraModule() {
    }
    IonicMultiCameraModule.forRoot = function () {
        return {
            ngModule: IonicMultiCameraModule,
            providers: [IonicMultiCamera]
        };
    };
    IonicMultiCameraModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        CameraComponent,
                        EditComponent
                    ],
                    imports: [
                        IonicPageModule.forChild(CameraComponent)
                    ],
                    providers: [
                        StatusBar,
                        CameraPreview,
                        File,
                        DeviceMotion
                    ],
                    entryComponents: [
                        CameraComponent,
                        EditComponent
                    ]
                },] },
    ];
    /** @nocollapse */
    IonicMultiCameraModule.ctorParameters = function () { return []; };
    return IonicMultiCameraModule;
}());
export { IonicMultiCameraModule };
//# sourceMappingURL=ionic-multi-camera.module.js.map