import { ElementRef } from '@angular/core';
import { NavController, NavParams, MenuController } from 'ionic-angular';
import { StatusBar } from '@ionic-native/status-bar';
import { CameraPreview } from '@ionic-native/camera-preview';
import { File } from '@ionic-native/file';
import { DeviceMotion } from '@ionic-native/device-motion';
import { Picture } from '../../classes/picture';
export declare class CameraComponent {
    private navCtrl;
    private navParams;
    private menu;
    private statusBar;
    private cameraPreview;
    private file;
    private deviceMotion;
    header: ElementRef;
    pictures: Array<Picture>;
    private callback;
    private pictureOptions;
    private deviceOrientation;
    private motionSubscription;
    private doesExit;
    showFlashOptions: boolean;
    private _activeFlashMode;
    activeFlashMode: string;
    constructor(navCtrl: NavController, navParams: NavParams, menu: MenuController, statusBar: StatusBar, cameraPreview: CameraPreview, file: File, deviceMotion: DeviceMotion);
    ionViewWillEnter(): void;
    ionViewDidEnter(): void;
    ionViewWillLeave(): void;
    ionViewDidLeave(): void;
    focus(event: any): void;
    switchCamera(): void;
    cancel(): void;
    takePicture(): void;
    finish(): void;
    editPicture(picture: Picture, index: number): void;
    private errorHandler(error);
    private exit();
    private startCam();
    private stopCam();
    private rotateImageBasedOnOrientation(imageData);
}
