// Base Dependencies
import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';
// Helpers
import { base64toBlob, rotateBase64Image } from '../../helpers/picture-mutations';
var EditComponent = /** @class */ (function () {
    function EditComponent(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.picture = this.navParams.data.picture;
        this.array = this.navParams.data.array;
        this.index = this.navParams.data.index;
    }
    EditComponent.prototype.cancel = function () {
        this.navCtrl.pop();
    };
    EditComponent.prototype.remove = function () {
        var _this = this;
        this.picture.fileEntry.remove(function () {
            _this.array.splice(_this.index, 1);
            _this.navCtrl.pop();
        }, function (err) {
            console.error(err);
        });
    };
    EditComponent.prototype.rotateLeft = function () {
        var _this = this;
        rotateBase64Image(this.picture.base64Data, 270)
            .then(function (imageData) {
            _this.picture.base64Data = imageData;
            _this.picture.fileEntry.createWriter(function (fileWriter) {
                var file = base64toBlob(imageData, 'image/jpeg');
                fileWriter.truncate(file.size);
                fileWriter.write(file);
            }, function (err) {
                console.error(err);
            });
        })
            .catch(function (err) {
            console.error(err);
        });
    };
    EditComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ionic-multi-edit',
                    template: '<ion-header no-border #header><ion-toolbar color="camera"><ion-buttons start><button ion-button icon-only clear (click)="cancel()"><ion-icon name="md-close"></ion-icon></button></ion-buttons><ion-buttons end><button ion-button icon-only clear (click)="remove()"><ion-icon name="trash"></ion-icon></button> <button ion-button icon-only clear disabled></button> <button ion-button icon-only clear (click)="rotateLeft()"><ion-icon name="md-sync"></ion-icon></button></ion-buttons></ion-toolbar></ion-header><ion-content><img [src]="\'data:image/jpeg;base64,\' + picture.base64Data"></ion-content>',
                    styles: ["ion-content {  background-color: black !important; }  ion-content .scroll-content {    overflow-y: hidden; }img {  position: absolute;  margin: auto;  top: 0;  left: 0;  right: 0;  bottom: calc(0px + constant(safe-area-inset-bottom));  bottom: calc(0px + env(safe-area-inset-bottom)); }"]
                },] },
    ];
    /** @nocollapse */
    EditComponent.ctorParameters = function () { return [
        { type: NavController, },
        { type: NavParams, },
    ]; };
    return EditComponent;
}());
export { EditComponent };
//# sourceMappingURL=edit.js.map